vala (0.56.18-7) unstable; urgency=medium

  * Re-enable valadoc build for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 17:47:13 -0500

vala (0.56.18-6) unstable; urgency=medium

  * Disable valadoc build for loong64 for bootstrapping
  * Use Build-Depends: dbus-daemon instead of dbus (Closes: #1122734)
  * vala-0.56-doc: Remove Suggests: devhelp, valac
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 08:44:22 -0500

vala (0.56.18-5) unstable; urgency=medium

  * Team upload
  * Retry previous upload (no changes)

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Oct 2025 17:55:37 +0100

vala (0.56.18-4) unstable; urgency=medium

  * Team upload
  * d/patches, d/control: Make valac Multi-Arch co-installable.
    By making the deprecated vala-gen-introspect script pick up
    architecture-specific details from $PKG_CONFIG, we can make it
    textually identical across all architectures. (Closes: #1116553)
  * d/control: valac Recommends gcc | gcc-for-host, not just gcc.
    The architecture-prefixed `${DEB_HOST_GNU_TYPE}-valac` wrappers tell
    valac to use `${DEB_HOST_GNU_TYPE}-gcc`, so if those wrappers are
    used, the gcc package is not strictly necessary.
  * d/changelog: Point to #1116552 in previous changelog entry
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Oct 2025 08:47:27 +0100

vala (0.56.18-3) experimental; urgency=medium

  * Team upload
  * d/rules: Parameterize the vala major/minor version number
  * d/rules: Generate cross valac wrapper from a template
  * d/*.links: Create cross valac symlinks declaratively
  * Use absolute path to run valac in the cross wrapper.
    If the cross wrapper for valac has been found in /usr/bin, it
    seems less surprising if it runs the corresponding system copy of
    valac, bypassing any possible locally-installed valac that might
    conceivably be the same major version number.
  * Move vapigen, vapigen-0.56 to valac-bin, add required Breaks/Replaces
  * d/rules: Generate a ${DEB_HOST_GNU_TYPE}-vapigen which searches
    appropriate directories.
    For example, this means we find GLib-2.0.gir in
    /usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0. (Closes: #1061107)
  * Generate a ${DEB_HOST_GNU_TYPE}-vala.ini to use valac, vapigen wrappers.
    This allows packages with a Meson build system to opt-in to using
    the host architecture valac and vapigen during cross-builds. Ideally
    this would be done more centrally, in `meson env2mfile` (#1116552)
    or debhelper, but we should make the infrastructure available first.
  * d/control, d/rules: Use build-architecture valac if cross-compiling.
    This allows vala itself to be cross-compiled, as long as the
    pkg.vala.nographviz build-profile is used (or #983886 is fixed)
    and a native build for the build architecture has been done first.
  * d/copyright: Don't quote the FSF's former postal address here
  * Standards-Version: 4.7.2 (no changes required)
  * Initially upload to experimental, since the cross-related changes
    are somewhat intrusive

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 14:18:47 +0100

vala (0.56.18-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 12:29:09 -0500

vala (0.56.18-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.0
  * Remove Breaks/Replaces/Conflicts not needed since oldstable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 03 Mar 2025 11:27:43 -0500

vala (0.56.17-1) unstable; urgency=medium

  * New upstream release
  * d/p/vala-Correctly-use-Path.build_path.patch:
    Dropped, it is included upstream

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 19 Apr 2024 13:13:38 +0200

vala (0.56.16-3) unstable; urgency=medium

  * Team upload
  * Reinstate valadoc on 32-bit non-x86

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 10:47:15 +0000

vala (0.56.16-2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Add a pkg.vala.nographviz build-profile.
    This avoids a build-dependency loop: vala, graphviz, librsvg, vala.
    valadoc is rarely build-depended on, and mostly as Build-Depends-Indep
    or with <!nodoc>, so it seems like a good candidate for the place
    to break this cycle. (Closes: #1055530)

  [ Simon McVittie ]
  * Temporarily disable valadoc on 32-bit non-x86.
    This allows it to be re-bootstrapped for the 64-bit time_t transition.
  * d/p/vala-Correctly-use-Path.build_path.patch,
    d/rules: Search /usr/lib/MULTIARCH/gir-1.0 for GIR XML
    (Closes: #1060904)
  * d/control: Avoid build-depending on libgirepository1.0-dev.
    That package is not multi-arch friendly, and now that we search
    /usr/lib/MULTIARCH/gir-1.0, we no longer need it.

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Mar 2024 09:44:55 +0000

vala (0.56.16-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Mar 2024 11:57:04 +0100

vala (0.56.15-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 04 Mar 2024 18:12:06 +0100

vala (0.56.14-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release

  [ Jeremy Bícha ]
  * Stop using dh_gnome_clean and debian/control.in

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 13 Nov 2023 09:39:03 +0100

vala (0.56.13-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 29 Aug 2023 21:10:36 +0200

vala (0.56.12-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 19 Aug 2023 15:02:51 +0200

vala (0.56.11-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 13 Aug 2023 12:40:24 +0200

vala (0.56.10-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 05 Aug 2023 18:07:49 +0200

vala (0.56.9-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Jul 2023 16:24:43 -0400

vala (0.56.9-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 02 Jul 2023 13:29:03 +0200

vala (0.56.8-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 May 2023 11:04:48 +0200

vala (0.56.7-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 18 Apr 2023 11:23:04 +0200

vala (0.56.6-1) experimental; urgency=medium

  * New upstream release (LP: #2015245)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 04 Apr 2023 13:13:08 +0200

vala (0.56.5-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 Mar 2023 17:40:23 +0100

vala (0.56.4-3) experimental; urgency=medium

  * Loosen dependency on valac-0.56-vapi package to make lintian happy

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Feb 2023 22:40:23 +0100

vala (0.56.4-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Fix day-of-week for changelog entries 0.0.8-3, 0.0.8-1, 0.0.7-2.
  * Update standards version to 4.6.2, no changes needed.

  [ Rico Tzschichholz ]
  * Use strict internal dependency on valac-0.56-vapi package

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Feb 2023 15:27:37 +0100

vala (0.56.4-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 12 Feb 2023 16:15:49 +0100

vala (0.56.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 03 Sep 2022 15:04:15 +0200

vala (0.56.2-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Jul 2022 19:51:46 +0200

vala (0.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 27 Apr 2022 21:46:33 +0200

vala (0.56.0-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Mar 2022 12:19:32 +0100

vala (0.55.91-2) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 04 Mar 2022 15:00:05 +0100

vala (0.55.90-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 Feb 2022 17:18:14 +0100

vala (0.55.3-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream development release

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)
  * Drop lintian overrides for binary-or-shlib-defines-rpath, not needed
    anymore

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 10 Feb 2022 14:50:14 +0100

vala (0.54.6-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Jan 2022 10:50:48 +0100

vala (0.54.5-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 16 Dec 2021 09:37:25 +0100

vala (0.54.4-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 29 Nov 2021 12:48:12 +0100

vala (0.54.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Nov 2021 17:07:10 +0100

vala (0.54.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Oct 2021 16:29:24 -0400

vala (0.54.2-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Simplify a bit
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Oct 2021 21:01:49 -0400

vala (0.54.1-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for 0.52 → 0.54
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Sep 2021 13:08:33 +0200

vala (0.52.5-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for 0.48 → 0.52
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 18 Aug 2021 12:42:08 +0100

vala (0.48.18-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Jun 2021 12:37:08 +0200

vala (0.48.17-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 12 Apr 2021 15:23:07 +0200

vala (0.48.16-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 08 Apr 2021 12:30:25 +0200

vala (0.48.15-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 18 Mar 2021 20:24:40 +0100

vala (0.48.14-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981210)
    + Demote docbook-xml and xsltproc to Build-Depends-Indep.
    + Annotate test dependencies libdbus-1-dev, dbus, libgirepository1.0-dev
      with <!nocheck>.

  [ Rico Tzschichholz ]
  * Remove optional help2man build-dep and keep using the upstream manpages
  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 28 Feb 2021 19:25:05 +0100

vala (0.48.13-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 Jan 2021 16:10:31 +0100

vala (0.48.12-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 19 Nov 2020 16:12:38 +0100

vala (0.48.11-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 29 Sep 2020 11:06:16 +0200

vala (0.48.10-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 07 Sep 2020 08:41:00 +0200

vala (0.48.9-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Aug 2020 15:31:39 +0200

vala (0.48.8-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 30 Jul 2020 12:08:07 +0200

vala (0.48.7-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 30 Jun 2020 16:08:07 +0200

vala (0.48.6-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 May 2020 15:20:37 +0200

vala (0.48.5-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 23 Apr 2020 09:31:20 +0200

vala (0.48.4-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Apr 2020 16:09:27 +0200

vala (0.48.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 06 Apr 2020 16:02:24 +0200

vala (0.48.2-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release
  * Add README.md to docs (Closes: #942869)
  * Make valadoc recommend gtk-doc-tools (Closes: #916312)

  [ Helmut Grohne ]
  * Simplify parallelity using more dh_auto_* (Closes: #929915)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 23 Mar 2020 20:45:06 +0100

vala (0.48.1-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 11 Mar 2020 13:30:07 +0100

vala (0.48.0-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 03 Mar 2020 16:07:10 +0100

vala (0.47.92-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 24 Feb 2020 16:11:29 +0100

vala (0.47.91-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 17 Feb 2020 12:36:19 +0100

vala (0.47.4-1) experimental; urgency=medium

  * New upstream development release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 04 Feb 2020 09:36:59 +0100

vala (0.47.3-1) experimental; urgency=medium

  * New upstream development release
  * Rename packages for 0.46 → 0.48
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Jan 2020 18:34:19 +0100

vala (0.46.5-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix indep-only FTBFS (Closes: #947483).

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Jan 2020 17:03:41 +0100

vala (0.46.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 24 Dec 2019 00:01:14 +0100

vala (0.46.5-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Move valac to a M-A:foreign package and add cross wrappers. (Closes:
    #889925)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 10 Dec 2019 16:34:29 +0100

vala (0.46.5-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 Nov 2019 10:27:11 +0100

vala (0.46.3-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 09 Oct 2019 13:28:36 +0200

vala (0.46.2-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 30 Sep 2019 10:12:55 +0200

vala (0.46.1-1) unstable; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 16 Sep 2019 09:17:15 +0200

vala (0.46.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 22:22:25 -0400

vala (0.46.0-1) experimental; urgency=medium

  * New upstream release
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 06 Sep 2019 13:34:19 +0200

vala (0.45.91-1) experimental; urgency=medium

  * New upstream development release
  * Rename packages for 0.44 → 0.46
  * Bump minimum libglib2.0-dev to 2.48
  * Make libvaladoc-data API-specific to follow new installation directories
  * Update symbols

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 20 Aug 2019 17:06:43 +0100

vala (0.44.7-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 Aug 2019 11:55:19 +0200

vala (0.44.6-1) experimental; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 17 Jul 2019 13:35:49 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libvaladoc-0.56-data`.
